View Issue Details

IDProjectCategoryView StatusLast Update
0002556Far ManagerHelp/Languagepublic2014-01-15 19:17
ReportershmuelAssigned To2useven10 
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Platformx86OSWindowsOS VersionXP SP3
Product Version3.0 
Target Version3.0Fixed in Version3.0 
Summary0002556: Crash in Help if macro has lots of keys assigned
DescriptionReported by cyberwolf:

I discovered that if i have a macro that has a lot of keys assigned to the same
command then when i call help and search for "!Macro:Viewer!" (which shows the
macros assigned to the viewer) then FAR crashes, before that it occupies a lot
of memory (over 2Gb memory even though FAR usually uses less than 40mb).

I think the problem comes from the fact that the help tries to display the keys
before the description but the line containing the keys is way longer than the
help window itself.
Steps To ReproduceHere's an example of a macro that crashes (based on the lua used by MultiView
plugin):

Macro {
    area="Viewer";
    key="AltEnd AltHome AltDown AltLeft AltRight AltUp CtrlAltLeft CtrlAltRight CtrlJ CtrlR CtrlSpace Multiply Space";
    description="test macro";
    action=function() end;
}
Additional InformationForum discussion: http://forum.farmanager.com/viewtopic.php?p=115848#p115848
TagsNo tags attached.
Build3773

Activities

2useven10

2014-01-14 17:12

developer   bugnote:0011652

b3771

shmuel

2014-01-14 17:32

developer  

Clipboard01.png (7,901 bytes)
Clipboard01.png (7,901 bytes)

shmuel

2014-01-14 17:34

developer   bugnote:0011653

На приложенной картинке видно, что в середину отображения макроса с кучей ключей влез другой макрос.

2useven10

2014-01-14 17:38

developer   bugnote:0011654

можешь свои макросы вьювера скинуть для отладки ?

shmuel

2014-01-14 17:50

developer  

macros.lua (456 bytes)

shmuel

2014-01-14 17:51

developer   bugnote:0011655

Скинул. С пустыми action, но это для хелпа не важно.

2useven10

2014-01-15 16:43

developer   bugnote:0011676

b3773

shmuel

2014-01-15 17:19

developer  

Clipboard02.png (3,718 bytes)
Clipboard02.png (3,718 bytes)

shmuel

2014-01-15 17:23

developer   bugnote:0011677

Last edited: 2014-01-15 17:24

View 2 revisions

А то, что правая колонка не начинается в одной и той же позиции, будем чинить или так оставим? (Спрашиваю просто из любопытства).

См. 2-ю картинку.

2useven10

2014-01-15 18:14

developer   bugnote:0011678

Слишком геморно - это разные макрообласти (Common, Viewer).
Можно просто в хэлпе разделить их пустой строкой, чтобы (возможно) разные отступы не сливались.

Issue History

Date Modified Username Field Change
2014-01-10 14:24 shmuel New Issue
2014-01-10 14:34 shmuel Steps to Reproduce Updated View Revisions
2014-01-14 17:12 2useven10 Note Added: 0011652
2014-01-14 17:12 2useven10 Assigned To => 2useven10
2014-01-14 17:12 2useven10 Status new => feedback
2014-01-14 17:32 shmuel File Added: Clipboard01.png
2014-01-14 17:34 shmuel Note Added: 0011653
2014-01-14 17:34 shmuel Status feedback => assigned
2014-01-14 17:38 2useven10 Note Added: 0011654
2014-01-14 17:50 shmuel File Added: macros.lua
2014-01-14 17:51 shmuel Note Added: 0011655
2014-01-15 16:43 2useven10 Note Added: 0011676
2014-01-15 16:43 2useven10 Status assigned => feedback
2014-01-15 17:19 shmuel File Added: Clipboard02.png
2014-01-15 17:23 shmuel Note Added: 0011677
2014-01-15 17:23 shmuel Status feedback => assigned
2014-01-15 17:24 shmuel Note Edited: 0011677 View Revisions
2014-01-15 18:14 2useven10 Note Added: 0011678
2014-01-15 19:13 shmuel Status assigned => resolved
2014-01-15 19:17 2useven10 Build => 3773
2014-01-15 19:17 2useven10 Status resolved => closed
2014-01-15 19:17 2useven10 Resolution open => fixed
2014-01-15 19:17 2useven10 Fixed in Version => 3.0